Name:           ovirt-engine-cli
Version: 3.1.0.6
Release: 1%{dist}
Summary:        oVirt Engine Command Line Interface
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ovirt.org
Source0:        http://ovirt.org/releases/stable/src/%{name}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-ply

BuildArch: noarch

Requires: python
Requires: ovirt-engine-sdk >= 3.1.0.1
Requires: pexpect
Requires: python-setuptools
Requires: python-ply
Conflicts: python-cli

%description
The command line interface for oVirt-Engine.

%prep
%setup -q -n %{name}

%build

# Call the method that generates the parsing tables, so that they
# are generated and included in the package:
pushd src
  %{__python} -c 'import cli.parser; parser = cli.parser.Parser(); parser._write_tables()'
popd

%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/ovirt_shell-*
%attr (755,root,root)/usr/bin/ovirt-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog

* Sun Jul 15 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.6-1
- support python 2.6 version format

* Sun Jul 15 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.5-1
- refactor /status/ command
- do not force credentials check on sdk > 3.1.0.4
- implement /info/ command
- implement generic parameters processing for /list/ command

* Mon Jul 9 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.4-1
- use host-subject (certificate) to validate host identity during spice initiation
- implement syntax error
- recognize RequestError as command failure
- do not sort command options in /help/ commands

* Mon Jun 25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.3-1
- expend nested types as parameters overloads
- refactor /help/ to support parameters overload
- do not clear screen on sys.error
- refactor auto-completion to support 3+ deep collections/resources
- cli does not support 3+ deep collections/resources #827845

* Thu Jun 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.2-1alpha
- Implement history browsing mechanism #823512, new capabilities:
    - persistent history stack
    - recursive history search - ctrl+r
    - history listing - history
    - history slide retrieval - history N
- Implement pipe redirection to linux shell #823508
- exit on incorrect option
- miss-type in "help list" command #803399

* Wed May 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.1-1alpha
- add basic scripting capabilities
- Support multiline input #815684
- Version format refactoring to align with oVirt version schema 
- Alpha release

* Thu May 10 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.6-1
- Remove pregenerated parsing tables
- Allow quoting of strings with single or double quotes
- Don't add -s option to spicec when SSL is disabled (#812299)

* Wed Mar 28 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.5-1
- use OrderedDict instead of papyon odict
- get rid of papyon dep.

* Wed Mar 21 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.4-1
- no auto completion for connect command #803312

* Wed Mar 14 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.3-1
- remove codegen.doc.documentation import

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.2-1
- do not consider empty string as a command (see 2.1.1-1 changes for 2.1.X rpm diffs)

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.1-1
- do not expose commands other than /connect,help,exit/ when disconnected
- a user can use Status option as action while it doesnt exist #800047
- cli: console command not function #800052
- support auto-completion on /update/ command
- implement collection based parameters support
- support parameters_set overloads in help
- implement support for multi-argument methods in sdk
- call sys.exit() on Ctrl+C signal

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 2.0-1
- New application core
- Added support for commands history stack
- Added support for context aware auto-competition
- Dynamic ovirt-engine-sdk meatdata discovering
- Removed restriction for specific version of ovirt-engine-sdk
  from 1.5 and further ovirt-engine-cli can work with any
  version of sdk (unless sdk introduced cli incompatible change)
- same naming convention in ovirt-engine-cli and ovirt-engine-sdk
- reformatted output to support reduced and expended modes in
  list in show commands by --show-all argument 
- object fields formatting
- added support for linux shell commands redirection
- shell output redirection support
- added SSL arguments to connect command
- added ovirt-engine-api version discovering mechanism

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- unable to add host #782734
  https://bugzilla.redhat.com/show_bug.cgi?id=782734
- unable to add new cluster #782707
  https://bugzilla.redhat.com/show_bug.cgi?id=782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- unable to create data-center: problem with --version param #781834
  https://bugzilla.redhat.com/show_bug.cgi?id=781834
- authentication show as succeeded with bad password (text only) #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
